{ pkgs ? import <nixpkgs> {}}:

let
  artiq-board = import <artiqSrc/nix/artiq-board.nix> { inherit pkgs; };
  conda-board = import <artiqSrc/nix/conda-board.nix> { inherit pkgs; };

  target = "kasli";

  variants = ["berkeley" "mitll2" "mitll" "nudt" "sysu" "tsinghua2" "tsinghua" "unsw" "ustc" "wipm"];
  jobs = pkgs.lib.lists.foldr (variant: start:
    let
      json = ../. + "/${variant}.json";
      boardBinaries = artiq-board {
        inherit target variant;
        buildCommand = "python -m artiq.gateware.targets.kasli_generic ${json}";
      };
    in
      start // {
        "artiq-board-${target}-${variant}" = boardBinaries;
        "conda-artiq-board-${target}-${variant}" = conda-board {
          artiqSrc = <artiqSrc>;
          boardBinaries = boardBinaries;
          inherit target variant;
      };
  }) {} variants;
in
  jobs
